/*
Theme Name:   LAM Theme
Description:  Child Theme
Author:       Entice
Author URL:   entice.com.au
Template:     Impreza
Version:      1.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  ImprezaChildTheme
*/

/* cart + checkout adjustments */
.checkout-button {
	margin-bottom:12px;
}
.wc-proceed-to-checkout .ppc-button-wrapper {
	margin-top:12px!important;
}
#wc-stripe-express-checkout-element {
	padding:0.8em!important;
}
#wc-stripe-express-checkout-element > div {
	padding:0!important;
}
.wc-proceed-to-checkout #wc-stripe-express-checkout-element {
	background:#fff;
	border:1px solid #111;
}
.stripe-or {
	text-align: center;
	text-transform: uppercase;
	font-weight:bold;
	margin:5px 0 15px 0;
}
@media screen and (max-width: 600px){
	.woocommerce-cart .shop_table td {
		padding-top:0!important;
		padding-bottom: 0px!important;
	}
	.woocommerce-cart ul#shipping_method li {
		justify-content:flex-start!important;
	}
	.woocommerce-cart .order-total td strong {
		font-size:1.3em;
	}
	.woocommerce-info, .woocommerce-error, .woocommerce-message {	  	  
	  padding: 0.2rem 0.7rem!important;
	  margin-bottom:0.5em!important;
	}
	.wt_coupon_wrapper {
		margin:5px 0!important;
	}
}




/* cart */
/* needed to fix webtoffee coupons bug on cart page */
@media screen and (min-width:1024px){
	.us-woo-cart_compact .woocommerce .cart-collaterals { 
		position:absolute;
		right:0;
	}	
}


/* composite products */

ul.component_option_thumbnails_container li.component_option_thumbnail_container {
  border:1px solid #eee;
}
@media screen and (max-width:600px){
	.small_width ul.component_option_thumbnails_container li.component_option_thumbnail_container {
  	  width: 46.5%!important;
	}
	.small_width ul.component_option_thumbnails_container li.component_option_thumbnail_container.first {
		clear:none!important;
	}
	.small_width ul.component_option_thumbnails_container li.component_option_thumbnail_container.last {
		margin-right:3.5%!important;
	}
	
	body:not(.usb_preview) .product-type-composite .hide_on_mobiles {
	    display: block !important;
		margin:20px 0;
	}
	
}


/* misc */

body:not(.woocommerce-cart):not(.woocommerce-checkout):not(.single-product):not(.archive) .l-subheader.at_top {
	display:none;
}

@media screen and (max-width:600px){
	body:not(.woocommerce-cart):not(.woocommerce-checkout):not(.single-product) #page-content {
		margin-top:-35px!important;
	}
}

.header_alert {
/*	text-align:center;*/
}

details {
	margin:15px 0; /* faq */
}
details summary {
	cursor:pointer;
	font-weight:bold;
}

.breadcrb {
	color:#999;
	font-size:0.9em;
	margin-bottom:15px!important;
}
.breadcrb a {
	color:#555;
}

.w-tabs-sections .w-tabs-section-header {
	background:#f2f2f2;
	color:#111!important;
}
.l-cookie.pos_bottom {
	flex-direction:row-reverse;
}

/* review */

.stamped-product-reviews-badge {
	/*margin-top:-50px;
	margin-bottom:60px;
	display:block;*/
}
.stamped-product-reviews-badge.stamped-main-badge {
	display:none!important;
}
body.single-product #stamped-reviews-widget[data-widget-type="full-page"] .stamped-widget-buttons,
body.archive #stamped-reviews-widget[data-widget-type="full-page"] .stamped-widget-buttons,
#stamped-reviews-widget .stamped-widget-title {
	display:none!important;
}
@media screen and (max-width:700px){
	#stamped-reviews-widget::before { display: none !important; }
}


/* woo */

.w-grid-item.product > .w-grid-item-h > .w-vwrapper {
	margin-bottom:45px;
}
.w-grid-item.product > .w-grid-item-h > .w-btn-wrapper {
	position:absolute;
	bottom:0;
}


.small_width.bundle_form .bundled_items_selection_status {
  	display: block!important;
	color:#202a1d;
	font-weight:bold;
	flex-shrink:1;
}
.small_width.bundle_form .bundle_error {
	margin-bottom:20px!important;
}

.w-grid-item.type-product h2 {
	text-transform:uppercase;
}
.w-grid-item.type-product .woocommerce-Price-amount {
	font-weight:500;
}
.single-product form .bundle_price .woocommerce-Price-amount {
	font-size:20px;
	font-weight:700;
}
.single-product form .woocommerce-variation .woocommerce-Price-amount {
	font-size:1.4em;
	font-weight:700;
}

label.bundled_product_optional_checkbox ins,
label.bundled_product_optional_checkbox .bundled_item_price_quantity {
	font-weight:500!important;
	color:var(--color-content-text)!important;
}
.bundled_product_checkbox {
	border-radius:0.1em;
	border:1px solid #666!important;
	width:1.3em!important;
}
form.bundle_form h4.bundled_product_title {
	font-size:16px!important;
}
form.bundle_form h4.bundled_product_title .bundled_product_permalink {
	font-size:18px!important;
}
form.bundle_form .bundled_product.bundled_item_optional .details h4.bundled_product_title .bundled_product_title_inner::after {
  background-color: var(--color-content-heading);
  border-radius: 1.5em;
  color: #fff;
  content: 'optional';
  display: inline-block;
  font-size: .6875rem;
  font-style: normal;
  line-height: 1;
  margin: 0 0 0 .5em;
  padding: .5em .75em;
  vertical-align: middle;
}
form.sorter {
	justify-content:right;
}
.topprice {
	font-size:1.3em;
}
ul.variable-items-wrapper li.variable-item.button-variable-item .variable-item-span {
  padding: 0.625em 0.75em !important;
}
.woo-variation-swatches .variable-items-wrapper .variable-item:not(.radio-variable-item) {
	height:40px;
}
.w-tabs.style_radio3 .w-tabs-list-h {
	display:flex!important;
}

.w-filter-item-value input {
	margin:2px 6px 2px 2px;
}
.w-filter-item-values {
	padding:3px 0!important;
}
button.w-filter-item-title {
	font-weight:400!important;
	font-size:15px;
}
.catmenu a {
	font-size:15px;
}
h2.post_title a:hover {
	border-bottom:0!important;
}
/*.wc-proceed-to-checkout .paypal-buttons {
	display:none!important;
}*/

.ppc-button-wrapper {
	margin-top:20px;
	margin-bottom:20px;
}

.single_add_to_cart_button {
	position:relative;
}
.single_add_to_cart_button::after {
	opacity:0;
	content:"";
	position:absolute;	
	right:-30px;
	top:20%;
	width:30px;
	height:30px;
	background:url(/wp-content/themes/LAM/loader.svg) no-repeat center center;
	background-size:30px;
}
.single_add_to_cart_button.loading::after{
	opacity:1;
}

.xoo-wsc-body {
	font-size:14px!important;
	line-height:1.3em!important;
}

.xoo-wsc-qty-price > span > span > span.woocommerce-Price-amount {
	color:#ff0000!important;
}

form.woocommerce-cart-form .product-name a {
	color:var(--color-content-text)!important;
}



/* product gallery flexsliders */

ul.flex-direction-nav {
    position: absolute;
    top: 45%;
    z-index: 100;
    width: 100%;
    left: 0;
    margin: 0;
    padding: 0px;
    list-style: none;
}
.flex-direction-nav > li {
	width:25%;
}

li.flex-nav-prev {float: left;}
li.flex-nav-next {float: right;text-align:right;}
a.flex-next {visibility:hidden;}
a.flex-prev {visibility:hidden;}

a.flex-next::after {
	visibility:visible;content: '\f054';
	font-family: 'fontawesome';
	margin-right: 10px;
	font-size: 20px;   
	font-weight: bold;
}

a.flex-prev::before {
    visibility:visible;
    content: '\f053';
	font-family: 'fontawesome';   
	margin-left: 10px;
	font-size: 20px;
	font-weight: bold;
}

ul.flex-direction-nav li a {
	color: #ccc;
}

ul.flex-direction-nav li a:hover {
	text-decoration: none;
}

ul.flex-direction-nav li a:hover {
	text-decoration: none;
}
a.flex-prev::before,
a.flex-next::after {
	display:inline-block;
	height:38px;
	width:38px;
	line-height:38px;
	background:var(--color-content-primary);
	opacity:0.5;
	text-align:center;
	border-radius:19px;
	color:#fff;
}
a.flex-prev,
a.flex-next {
	font-size:0;
}
/*a.flex-prev:hover::before,
a.flex-next::after:hover {
	opacity:1;
}
*/
@media screen and (min-width:601px){
	.product_gallery .flex-direction-nav {
		display:none;
	}
}
@media screen and (max-width:600px){
	.flex-control-nav.flex-control-thumbs {
		display:none;
	}
}




/* header.footer */

.l-subheader.at_middle .type_mobile .w-nav-list.level_1 {
	z-index:999;
}
/*header .l-subheader.at_bottom {
	background-image: linear-gradient(to right,rgba(177,211,85,0.7),rgba(177,211,85,0.7)),url(/wp-content/uploads/2021/11/little-aussie-monster-pattern.svg);
	  background-position: center center;
	  background-size: cover;
}*/

footer .foot-title:after {
	content: '';
	  display: block;
	  width: 32px;
	  height: 2px;
	  background:#f8ec59;
	  margin-top:1em;
}
.w-nav.type_desktop li.menu-item.level_2 a.w-nav-anchor.level_2{
	margin-bottom:10px;
	font-size:17px!important;
}
.w-nav.type_desktop li.menu-item.level_2 a.w-nav-anchor.level_2::before {
    background-color: #b1d25d;
    content: '';
    display: block;
    height: 2px;
    width: 64px;
    max-width: 50%;
    position: absolute;
    bottom: -8px;
	margin:8px 0;
}
.w-nav.type_desktop li.menu-item.level_2:nth-child(4n+2) a.w-nav-anchor.level_2::before {
	background-color: #f8ee4a;	
}
.w-nav.type_desktop li.menu-item.level_2:nth-child(4n+3) a.w-nav-anchor.level_2::before {
	background-color: #7755d3 ;	
}
.w-nav.type_desktop li.menu-item.level_2:nth-child(4n+4) a.w-nav-anchor.level_2::before {
	background-color: #3e52a3;	
}
.w-nav.type_desktop ul.w-nav-list.level_2 {
	padding:15px 0;
}
.w-nav.type_desktop .w-nav-anchor:not(.level_1) {
  padding: 0.4em 20px;
  font-size: 15px;
  font-weight: 400;
}
.w-nav.type_desktop a.w-nav-anchor.level_3:hover {
	background:#f7f7f7!important;
}
.w-nav.type_mobile .w-nav-anchor > .w-nav-arrow {
	float:right;
}
.w-nav.type_mobile .w-nav-anchor:not(.w-btn) {
  padding: 0.5rem;
}
button.w-filter-opener {
	padding:0.6em 1.2em!important;
}

/* product label plugin */
.label-wrap.wapl-alignleft {
	float:none!important;
}

.label-wrap.wapl-diagonal-bar.wapl-aligncenter .product-label,
.label-wrap.wapl-diagonal-bar.wapl-alignleft .product-label {
  left: -40px;
  top: 39px;
  font-size:14px;
}
.lam-productlabel {
	
}
/* product */
/*.w-grid-item {
	--gap:1.7rem 1.2rem;
}
.w-grid.overflow_hidden .w-grid-item-h {
	overflow:visible;
	margin-bottom:13px;
}
.gridbutt a {
	-webkit-border-bottom-right-radius: 4px!important;
	-webkit-border-bottom-left-radius: 4px!important;
	-moz-border-radius-bottomright: 4px!important;
	-moz-border-radius-bottomleft: 4px!important;
	border-bottom-right-radius: 4px!important;
	border-bottom-left-radius: 4px!important;
}*/
.w-tabs.style_radio3 > .w-tabs-list .w-tabs-list-h {
	background:#303640;
}


.layout_42241 .w-grid-item-h {
	background:none!important;
	box-shadow:none!important;
}
.layout_42241 .w-grid-item-h .gridbutt {
	border-radius:4px!important;
}
.layout_42241 .type-product .price > ins {
	color: var(--color-content-text);
}
.woocommerce div.product .product_title {
  margin-bottom: .2rem!important;
}

.bundled_product.bundled_item_optional .bundled_product_optional_checkbox {
	display:inline-block;
	margin-top:5px;
}
.bundled_product.bundled_item_optional .details .cart {
	display:inline-block;
	margin-bottom:0!important;
}
.bundled_product.bundled_item_optional .details .cart .bundled_item_cart_details {
	display:inline-block;
	margin:0 8px;
}
.bundled_product.bundled_item_optional .details .cart .bundled_item_after_cart_details.bundled_item_button {
	display:inline-block;
}
.bundled_product.bundled_item_optional .details .cart .bundled_item_after_cart_details.bundled_item_button .quantity {
	margin:0!important;
}
.bundled_item_optional .bundled_item_cart_content--populated::before {
  height: 1px!important;
}

.bundled_product_summary .bundled_product_images img {
	width:auto!important;
	max-height:100px;
}

/* slider */

.homeslider h1,
.homeslider h2,
.homeslider h3,
.homeslider h4 {
	text-shadow:1px 1px 1px rgba(0,0,0,0.6);
}
.homeslider p {
	text-shadow:1px 1px 1px rgba(0,0,0,0.6);
}

.subhead a {
	color:var(--color-content-text);
}

.postmeta time,
.postmeta div {
	color:#999;
}
.postmeta div a {
	text-decoration:underline;
}
.postmeta .post_taxonomy::after,
.postmeta time::after {
	padding-left:1em;
	content: "/";
}

.tablerow p {
	margin-bottom:8px;
}
.tablerow table {
	margin-bottom:2rem;
}
.tablerow table td, 
.tablerow table th {
  border-color: rgba(255,255,255,0.25);
}
.tablerow table td:first-child {
	width:65%;
}

.zoom,
a.w-image-h {
	transition: all 0.3s;
}

.fullwidth img {
	width:100%;
}


/* bundled layout */
div.bundled_product_summary, .woocommerce div.product.bundled_product_summary {
  padding-bottom: 0.6rem!important;
  margin-bottom: 0.6rem!important;
} 
.single-product .bundle_wrap {
	margin-top:12px;
}
.single-product .bundle_wrap .bundle_price {
	display:inline-block;
	margin-right:12px;
}
.single-product .bundle_wrap .bundle_button {
	display:inline-block;
}


/* formidable */

.frm_submit {
	margin-top:13px;
}
.frm_form_field {
	margin:12px 0;
}
.frm_radio {
	display:inline-block!important;
	margin-right:15px;
}



/* media queries */

@media screen and (max-width:1350px){
	
}
@media screen and (max-width:1024px){
	footer nav li,
	footer h5 {
		text-align:center;
	}	
	footer .foot-title:after {
		  margin-left:auto;
		  margin-right:auto;
	}
	header .myaccount {
		margin-left:8px!important;
		padding:4px 8px;
	}
}
@media screen and (max-width:767px){
	.woocommerce div.product .images {
		float:left!important;
		width:20%!important;
	}
	.small_width.bundle_form div.bundled_product_summary:not(.thumbnail_hidden) .details {
		float:right!important;
		width:72%!important;
	}
	.woocommerce .shop_table.cart .product-price {
		display:block!important;
		font-size:13px!important;
		line-height:1.2em!important;
	}
}
@media screen and (max-width:700px){
	.colours .vc_column-inner {
		padding-left:0.8rem!important;
		padding-right:0.8rem!important;
	}
	header .phone span {
		display:none;
	}
	header nav {
		margin-right:0.5rem!important;
	}
	header .w-btn.us-btn-style_3 {
		margin-left:0.2em!important;
	}
	header .w-cart-link {
		width: 1.5em;
	  	margin-left: 0.4em;
	}
	header .l-subheader.at_top {
		height:auto;
		padding:4px;
	}
	header .l-subheader.at_top .w-text.nowrap {
		white-space:inherit;
		margin:0!important;
	}
	header .l-subheader.at_top .w-text .w-text-value {
		line-height: 1.2em !important;
		display:inline-block;
	}
	section.product {
		padding-top:0!important;
	}
	.woocommerce-product-gallery {
		max-width:300px;
		margin:0 auto;
	}
	form.cart.bundle_form {
		margin-top:15px;
	}
	
	
	  
}

@media screen and (max-width:600px){
	.woocommerce .shop_table.cart {
		width:107%!important;
		margin-left:-5%;
	}
	.woocommerce .shop_table.cart td.product-thumbnail {
		width:15%!important;
	}
	.woocommerce .shop_table.cart td.product-name {
		width:50%!important;
		font-size:13px;
		line-height:1.2em;
		padding:0.4rem 0.4rem;
	}
	.woocommerce .shop_table.cart td.product-quantity {
		width:50px!important;
	}
	.woocommerce .shop_table.cart td.product-quantity input {
		padding:0 8px;
		line-height:1.8em!important;
		min-height:12px!important;
	}
	.woocommerce .shop_table.cart td.product-subtotal {
		width:60px!important;
		padding-left:0!important;
		text-align:right!important;
		font-size:14px!important;
	}
	
	.woocommerce .shop_table.cart tr.cart_item:not(.bundled_table_item) .product-price {
		width:35%;
	}
	.woocommerce .shop_table.cart tr.cart_item.bundled_table_item {
		margin-bottom:3px;
	}
	.woocommerce .shop_table.cart tr.cart_item.bundled_table_item .product-subtotal {
/*		display:none!important;*/
	}
	
	.shop_table.cart .bundled_table_item .bundled_table_item_indent {
		padding-left:0;
	}
	.shop_table.cart .bundled_table_item {
		padding-left:30px;
	}
	.shop_table.cart .bundled_table_item td.product-thumbnail {
		width:10%!important;
	}
	
}



@media (min-width: 960px) {
	
	.large-bundle form.bundle_form.layout_default {
	  display: -webkit-box;
	  display: -webkit-flex;
	  display: -ms-flexbox;
	  display: flex;
	  -webkit-box-orient: horizontal;
	  -webkit-box-direction: normal;
	  -webkit-flex-flow: row wrap;
	  -ms-flex-flow: row wrap;
	  flex-flow: row wrap;
	  -webkit-box-align: top;
	  -webkit-align-items: top;
	  -ms-flex-align: top;
	  align-items: top;
	  margin: 1.5rem -1rem !important;
  }
  
  .large-bundle form.bundle_form.layout_default .bundled_product {
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 33.33%;
    -ms-flex: 0 0 33.33%;
    flex: 0 0 33.33%;
  }
  
  .large-bundle form.bundle_form .cart.bundle_data {
    -webkit-box-flex: 1;
    -webkit-flex: 1 0 100%;
    -ms-flex: 1 0 100%;
    flex: 1 0 100%;
    display: block;
    width: 100%;
    padding: 0 0 20px;
    padding-right: 0px;
    padding-left: 0px;
  }
  
  .large-bundle form.bundle_form .bundle_error .woocommerce-info {
    	margin: 1.5rem 0!important;
  }
  
}

@media screen and (min-width:700px){
	.zoom:hover,
	.w-image-h:hover {
		transform:scale(1.05);
	}
	section.nozoom .w-image-h:hover {
		transform:none!important;
	}
}




